Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface CombinationDataset

All Known Implementing Classes:
  CombinedDataset, SubSeriesDataset

public interface CombinationDataset

Interface that describes the new methods that any combined dataset needs to implement. A combined dataset object will combine one or more datasets and expose a sub-set or union of the combined datasets.

Author:
  Bill Kelemenm (bill@kelemen-usa.com)

Method Summary
`int[]` | `getMap()` Returns a map or indirect indexing form our series into parent's series.
`SeriesDataset` | `getParent()` Returns the parent Dataset of this combination.

Method Detail

### getParent

    public SeriesDataset getParent()

  Returns the parent Dataset of this combination. If there is more than one parent, or a child is found that is not a combination, then returns `null`.

  Returns:
    the parent Dataset of this combination.

### getMap

    public int[] getMap()

  Returns a map or indirect indexing form our series into parent's series.

  Returns:
    a map or indirect indexing form our series into parent's series.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD